<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Tables and Forms</title>
</head>

<body>

    <header>
        <h1>HTML, Tables and forms</h1>
    </header>
    
    <main>

        <section>
            <h2>HTML Entities</h2>
            <p>
                <em>Reserve Characters in HTML (e.g. &lt; or &gt; Characters that can mix up with HTML code).</em>
            </p>

            <!-- Defines an HTML table -->

            <table border="1">
                <!-- thead is used to group table header content -->

                <thead>
                    <!-- Defines a table row -->
                    <tr>
                        <th colspan="2">
                            <!-- Defines a table header -->
                            Entity
                        </th>
                        <th>
                            Description
                        </th>
                    </tr>
                </thead>

                <tbody>
                    <tr>
                        <td>
                            &lt;
                        </td>
                        <td>
                            lt
                        </td>
                        <td>
                            Less Than
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &gt;
                        </td>
                        <td>
                            gt
                        </td>
                        <td>
                            Greater Than
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &
                        </td>
                        <td>
                            amp
                        </td>
                        <td>
                            ampersand
                        </td>
                    </tr>
                    <tr>
                        <td>
                            "
                        </td>
                        <td>
                            quot
                        </td>
                        <td>
                            double quotation mark
                        </td>
                    </tr>
                    <tr>
                        <td>
                            '
                        </td>
                        <td>
                            apos
                        </td>
                        <td>
                            single quotation mark (apostrophe)
                        </td>
                    </tr>
                    <tr>
                        <td>
                            ñ
                        </td>
                        <td>
                            ntilde
                        </td>
                        <td>
                            Lower Tilde
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Ñ
                        </td>
                        <td>
                            Ntilde
                        </td>
                        <td>
                            Upper Tilde
                        </td>
                    </tr>
                </tbody>

                <tfoot>
                    <tr>
                        <th colspan="3">
                            List of HTML Entitites
                        </th>
                    </tr>
                </tfoot>

            </table>
        </section>

        <p>
            HTML Forms
        </p>
        <p>
            <em>
                Input Elements that make up a form
            </em>
        </p>

        <section>
            <form action="https://google.com">

                <label for="full_name">Fullname</label>
                <br>
                <input type="text" name="full_name" autocomplete="off" id="full_name" required>
                <br>

                <label for="birth_date">Birth Date</label>
                <br>
                <input type="date" name="birth_date" id="birth_date">

                <br>
                <label for="age">Age</label>
                <br>
                <input type="number" name="age" id="age" required min="1">
                <br>
                <label for="gender">Gender</label>
                <br>
                <select name="gender" id="gender">
                    <option value="male">Male</option>
                    <option value="female">Female</option>
                </select>

                <br>
                <label for="notes">Notes:</label>
                <br>
                <textarea name="notes" id="notes" cols="30" rows="5"></textarea>
                <br>

                <label for="">New User</label>
                <br>
                <input type="radio" name="new_user" id="user-type1" value="yes">
                <label for="user-type1">Yes</label>
                <br>

                <input type="radio" name="new_user" id="user-type2" value="No">
                <label for="user-type2">No</label>
                <br>

                <label for="">Roles:</label>
                <br>
                <input type="checkbox" name="role1" id="role1" value="Developer">
                <label for="role1">Developer</label>
                <br>

                <input type="checkbox" name="role2" id="role2" value="Student">
                <label for="role2">Student</label>
                <br>

                <input type="checkbox" name="role3" id="role3" value="Manager">
                <label for="role3">Manager</label>
                <br>

                <br>
                <button type="submit">
                    Submit
                </button>

                <button type="reset">Reset</button>
            </form>
        </section>
        
    </main>
</body>

</html>